#### get_associated_immediate_executor (1 of 2 overloads)

Helper function to obtain an object's associated executor.

    template<
        typename T,
        typename Executor>
    auto get_associated_immediate_executor(
        const T & t,
        const Executor & ex,
        constraint_t< is_executor< Executor >::value||execution::is_executor< Executor >::value >  = 0);

###### Return Value

`associated_immediate_executor<T, Executor>::get(t, ex)`